### Hierarchy

- AuthService

## Index

### Constructors

- constructor

### Properties

- mutableKeyStore
- trustedUsers
- trustedUsersList
- trustedUsersSubject

### Methods

- addTrustedUser
- getChallenge
- getPrivateKey
- getPrivateKeyInfo
- getPublicKeys
- getSessionToken
- getTrustedUsers
- getWithToken
- init
- login
- loginView
- logout
- sendSignedChallenge
- setKey
- setSessionToken
- setState

## Constructors

### constructor

- new AuthService(httpClient: HttpClient, loggingService: LoggingService, errorDialogService: ErrorDialogService): AuthService

- - Defined in src/app/_services/auth.service.ts:22

  #### Parameters

  - ##### httpClient: HttpClient

  - ##### loggingService: LoggingService

  - ##### errorDialogService: ErrorDialogService

  #### Returns AuthService

## Properties

### mutableKeyStore

mutableKeyStore: MutableKeyStore

- Defined in src/app/_services/auth.service.ts:17

### trustedUsers

trustedUsers: Staff[] = []

- Defined in src/app/_services/auth.service.ts:18

### Private trustedUsersList

trustedUsersList: BehaviorSubject<Staff[]> = ...

- Defined in src/app/_services/auth.service.ts:19

### trustedUsersSubject

trustedUsersSubject: Observable<Staff[]> = ...

- Defined in src/app/_services/auth.service.ts:22

## Methods

### addTrustedUser

- addTrustedUser(user: Staff): void

- - Defined in src/app/_services/auth.service.ts:173

  #### Parameters

  - ##### user: Staff

  #### Returns void

### getChallenge

- getChallenge(): Promise<any>

- - Defined in src/app/_services/auth.service.ts:85

  #### Returns Promise<any>

### getPrivateKey

- getPrivateKey(): any

- - Defined in src/app/_services/auth.service.ts:203

  #### Returns any

### getPrivateKeyInfo

- getPrivateKeyInfo(): any

- - Defined in src/app/_services/auth.service.ts:207

  #### Returns any

### getPublicKeys

- getPublicKeys(): Promise<any>

- - Defined in src/app/_services/auth.service.ts:191

  #### Returns Promise<any>

### getSessionToken

- getSessionToken(): string

- - Defined in src/app/_services/auth.service.ts:39

  #### Returns string

### getTrustedUsers

- getTrustedUsers(): void

- - Defined in src/app/_services/auth.service.ts:185

  #### Returns void

### getWithToken

- getWithToken(): Promise<boolean>

- - Defined in src/app/_services/auth.service.ts:51

  #### Returns Promise<boolean>

### init

- init(): Promise<void>

- - Defined in src/app/_services/auth.service.ts:32

  #### Returns Promise<void>

### login

- login(): Promise<boolean>

- - Defined in src/app/_services/auth.service.ts:94

  #### Returns Promise<boolean>

### loginView

- loginView(): void

- - Defined in src/app/_services/auth.service.ts:129

  #### Returns void

### logout

- logout(): void

- - Defined in src/app/_services/auth.service.ts:167

  #### Returns void

### sendSignedChallenge

- sendSignedChallenge(hobaResponseEncoded: any): Promise<any>

- - Defined in src/app/_services/auth.service.ts:73

  #### Parameters

  - ##### hobaResponseEncoded: any

  #### Returns Promise<any>

### setKey

- setKey(privateKeyArmored: any): Promise<boolean>

- - Defined in src/app/_services/auth.service.ts:139
  throws

  #### Parameters

  - ##### privateKeyArmored: any

    Private key.

  #### Returns Promise<boolean>

### setSessionToken

- setSessionToken(token: any): void

- - Defined in src/app/_services/auth.service.ts:43

  #### Parameters

  - ##### token: any

  #### Returns void

### setState

- setState(s: any): void

- - Defined in src/app/_services/auth.service.ts:47

  #### Parameters

  - ##### s: any

  #### Returns void

Generated using TypeDoc